Bug 999048 - VM permissions entries remain in database after force deleting data-center
VM permissions entries remain in database after force deleting data-center
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.1
Assigned To: Maor
Aharon Canan
storage
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 11:33 EDT by Maor
Modified: 2016-02-10 11:56 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-25 06:55:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 18184 None None None Never

  None (edit)
Description Maor 2013-08-20 11:33:35 EDT
Description of problem:
When force remove Data Center the permissions on VM does not get deleted from the DB, and the user will wee null in the permissions sub tab of the user.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Create a VM
2. Add a permission on that VM on some user
3. Force delete the Data Center
4. go to users tab and pick the user which you have added the permissions on the VM
5. go to the sub tab of permissions

Actual results:
The permission presented there is null([The permission which was added])

Expected results:
We should not see the permission

Additional info:
Comment 1 Itamar Heim 2013-08-21 12:40:20 EDT
as RC is built, moving to ON_QA (hopefully did not catch incorrect bugs when doing this)
Comment 2 Itamar Heim 2013-09-23 03:27:27 EDT
closing as this should be in 3.3 (doing so in bulk, so may be incorrect)
Comment 3 Sandro Bonazzola 2013-11-25 06:55:18 EST
oVirt 3.3.1 has been released

Note You need to log in before you can comment on or make changes to this bug.